Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class BTCAdviceMobilityToolType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.BTCAdviceMobilityToolType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class BTCAdviceMobilityToolType extends Object implements Serializable
Generiek type voor het mobiliteitshulpmiddel in een aanvraag die wordt neergelegd bij BTC.

Java class for BTCAdviceMobilityToolType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BTCAdviceMobilityToolType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MobilityToolDetailType" minOccurs="0"/>
             <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MobilityToolDetailType" minOccurs="0"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MobilityToolDetailType" minOccurs="0"/>
             <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MobilityToolDetailType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BTCAdviceMobilityToolType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MobilityToolDetailType`
  `getAccessory()`
  Info over de aanpassing(en).
  `MobilityToolDetailType`
  `getBasicEquipment()`
  Info over het mobiliteitshulpmiddel.
  `List<MobilityToolDetailType>`
  `getSupplements()`
  Info over de BTC bijkomende tegemoetkoming(en) of de supplement(en).
  `MobilityToolDetailType`
  `getSupportAndRepair()`
  Info over het forfait onderhoud en herstel.
  `void`
  `setAccessory(MobilityToolDetailType value)`
  Sets the value of the accessory property.
  `void`
  `setBasicEquipment(MobilityToolDetailType value)`
  Sets the value of the basicEquipment property.
  `void`
  `setSupportAndRepair(MobilityToolDetailType value)`
  Sets the value of the supportAndRepair property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BTCAdviceMobilityToolType

    public BTCAdviceMobilityToolType()

- ## Method Details

  - ### getBasicEquipment

    public MobilityToolDetailType getBasicEquipment()
    Info over het mobiliteitshulpmiddel.
    Returns:
      possible object is `MobilityToolDetailType`

  - ### setBasicEquipment

    public void setBasicEquipment(MobilityToolDetailType value)
    Sets the value of the basicEquipment property.
    Parameters:
      `value` - allowed object is `MobilityToolDetailType`
    See Also:
      - `getBasicEquipment()`

  - ### getAccessory

    public MobilityToolDetailType getAccessory()
    Info over de aanpassing(en).
    Returns:
      possible object is `MobilityToolDetailType`

  - ### setAccessory

    public void setAccessory(MobilityToolDetailType value)
    Sets the value of the accessory property.
    Parameters:
      `value` - allowed object is `MobilityToolDetailType`
    See Also:
      - `getAccessory()`

  - ### getSupportAndRepair

    public MobilityToolDetailType getSupportAndRepair()
    Info over het forfait onderhoud en herstel.
    Returns:
      possible object is `MobilityToolDetailType`

  - ### setSupportAndRepair

    public void setSupportAndRepair(MobilityToolDetailType value)
    Sets the value of the supportAndRepair property.
    Parameters:
      `value` - allowed object is `MobilityToolDetailType`
    See Also:
      - `getSupportAndRepair()`

  - ### getSupplements

    public List<MobilityToolDetailType> getSupplements()
    Info over de BTC bijkomende tegemoetkoming(en) of de supplement(en). Gets the value of the supplements property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the supplements property.

    For example, to add a new item, do as follows:

         getSupplements().add(newItem);

    Objects of the following type(s) are allowed in the list `MobilityToolDetailType`

    Returns:
      The value of the supplements property.